# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/imx21-clock.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Clock bindings for Freescale i.MX21

maintainers:
  - Alexander Shiyan <shc_work@mail.ru>

description: |
  The clock consumer should specify the desired clock by having the clock
  ID in its "clocks" phandle cell. See include/dt-bindings/clock/imx21-clock.h
  for the full list of i.MX21 clock IDs.

properties:
  compatible:
    const: fsl,imx21-ccm

  reg:
    maxItems: 1

  '#clock-cells':
    const: 1

required:
  - compatible
  - reg
  - '#clock-cells'

additionalProperties: false

examples:
  - |
    #include <dt-bindings/clock/imx21-clock.h>

    clock-controller@10027000 {
        compatible = "fsl,imx21-ccm";
        reg = <0x10027000 0x800>;
        #clock-cells = <1>;
    };
